
Foreman - Bug #3965

chefproxy smart-proxy's feature should map same API as Foreman

01/07/2014 10:19 PM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Smart Proxy   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should move /reports and /facts to /api/reports and /api/hosts/facts API on smart-proxy in order to be transparent on the client

side

Associated revisions

Revision a7e5964a - 01/15/2014 01:47 PM - Romain Vrignaud

fixes #3965 Change API endpoint for chef_proxy to be the same as Foreman's

History

#1 - 01/08/2014 07:26 AM - Marek Hulán

Would it make sense to keep both variants instead of moving?

#2 - 01/15/2014 01:50 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

- translation missing: en.field_release set to 2

https://github.com/theforeman/smart-proxy/pull/124

#3 - 01/15/2014 02:52 PM - Romain Vrignaud

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset smart-proxy:a7e5964a3d70da4105c7a42287273ec9be1b8178.

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://github.com/theforeman/smart-proxy/pull/124
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/a7e5964a3d70da4105c7a42287273ec9be1b8178
http://www.tcpdf.org

